require "tempfile"
temp = Tempfile.new("stuff")
name = temp.path             # "/tmp/stuff17060.0"
temp.puts "Kilroy was here"
temp.close

# Later...
temp.open
str = temp.gets              # "Kilroy was here"
temp.close(true)             # Delete it NOW

